%global additional_version 20140218
%global additional_name man-pages-additional-%{additional_version}
%global man7dir %{_mandir}/man7

Summary:          Linux kernel and C library user-space interface documentation
Name:             man-pages
Version:          6.00
Release:          6%{?dist}
License:          GPL+ and GPLv2+ and BSD and MIT and Copyright only
URL:              http://www.kernel.org/doc/man-pages/
Source0:          http://www.kernel.org/pub/linux/docs/man-pages/man-pages-%{version}.tar.xz
Source1:          %{additional_name}.tar.xz

Patch0001:        backport-man-pages-posix-2017.patch
Patch3000:        man-pages-3.42-close.patch

BuildRequires:    make
Requires(post):   %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives
Requires(preun):  %{_sbindir}/update-alternatives

BuildArch:        noarch
Autoreq:          false

%description
A large collection of manual pages from the Linux Documentation Project (LDP).

%prep
%autosetup -p1 -a1

# remove deprecated interface
rm -f man2/pciconfig_{write,read,iobase}.2
rm -f man3/crypt{,_r}.3
rm -f man3/{db,btree,dbopen,hash,mpool,recno}.3

%build

%install
%make_install prefix=/usr
pushd %{additional_name}
%make_install prefix=/usr
popd

mv %{buildroot}%{man7dir}/man.7 %{buildroot}%{man7dir}/man.%{name}.7
touch %{buildroot}%{man7dir}/man.7

%pre
[ -L %{man7dir}/man.7.gz ] || rm -f %{man7dir}/man.7.gz >/dev/null 2>&1 || :

%post
%{_sbindir}/update-alternatives --install %{man7dir}/man.7.gz man.7.gz %{man7dir}/man.%{name}.7.gz 300 \
    >/dev/null 2>&1 || :

%preun
if [ $1 -eq 0 ]; then
    %{_sbindir}/update-alternatives --remove man.7.gz %{man7dir}/man.%{name}.7.gz >/dev/null 2>&1 || :
fi

%postun
if [ $1 -ge 1 ]; then
    if [ "$(readlink %{_sysconfdir}/alternatives/man.7.gz)" == "%{man7dir}/man.%{name}.7.gz" ]; then
        %{_sbindir}/update-alternatives --set man.7.gz %{man7dir}/man.%{name}.7.gz >/dev/null 2>&1 || :
    fi
fi

%files
%doc README man-pages-%{version}.Announce Changes
%ghost %{man7dir}/man.7*
%{_mandir}/man*/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.00-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.00-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 12 2023 Shuo Wang <abushwang@tencent.com> - 6.00-4
- backport man-pages-posix-2017 for waitid

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.00-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.00-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Oct 20 2022 Shuo Wang <abushwang@tencent.com> - 6.00-1
- initial build

